petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDATSSetRHSFunctionLocal

set a local residual evaluation function

### Synopsis

    #include "petscdmda.h"
    #include "petscts.h"
    PetscErrorCode DMDATSSetRHSFunctionLocal(DM dm,InsertMode imode,DMDATSRHSFunctionLocal func,void *ctx)

Logically Collective Many br

### Input Arguments

| dm | - DM to associate callback with Many br
| imode | - insert mode for the residual Many br
| func | - local residual evaluation Many br
| ctx | - optional context for local residual evaluation Many br

### Calling sequence for func

    func(DMDALocalInfo info,PetscReal t,void *x,void *f,void *ctx)

| info | - DMDALocalInfo defining the subdomain to evaluate the residual on Many br
| t | - time at which to evaluate residual Many br
| x | - array of local state information Many br
| f | - output array of local residual information Many br
| ctx | - optional user context Many br

Many br

### See Also

DMTSSetRHSFunction(), DMDATSSetRHSJacobianLocal(), DMDASNESSetFunctionLocal()

Level:beginner
Location:src/ts/utils/dmdats.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages